# Cash Flow Statements `GET` `https://api.unusualwhales.com/api/stock/{ticker}/cash-flows` Returns cash flow data including operating, investing, and financing cashflows, capital expenditures, dividend payouts, stock buybacks, and stock-based compensation. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `capital_expenditures` | string | | | `cashflow_from_financing` | string | | | `cashflow_from_investment` | string | | | `change_in_cash_and_cash_equivalents` | string | | | `change_in_exchange_rate` | string | | | `change_in_inventory` | string | | | `change_in_operating_assets` | string | | | `change_in_operating_liabilities` | string | | | `change_in_receivables` | string | | | `depreciation_depletion_and_amortization` | string | | | `dividend_payout` | string | | | `dividend_payout_common_stock` | string | | | `dividend_payout_preferred_stock` | string | | | `fiscal_date_ending` | string | | | `inserted_at` | string | | | `net_income` | string | | | `operating_cashflow` | string | | | `payments_for_operating_activities` | string | | | `payments_for_repurchase_of_common_stock` | string | | | `payments_for_repurchase_of_equity` | string | | | `payments_for_repurchase_of_preferred_stock` | string | | | `proceeds_from_issuance_of_common_stock` | string | | | `proceeds_from_issuance_of_long_term_debt` | string | | | `proceeds_from_issuance_of_preferred_stock` | string | | | `proceeds_from_operating_activities` | string | | | `proceeds_from_repayments_of_short_term_debt` | string | | | `proceeds_from_repurchase_of_equity` | string | | | `proceeds_from_sale_of_treasury_stock` | string | | | `profit_loss` | string | | | `report_type` | string | | | `reported_currency` | string | | | `stock_based_compensation` | string | | | `ticker` | string | | | `updated_at` | string | | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/stock/{ticker}/cash-flows" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/stock/{ticker}/cash-flows", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "dividend_payout_common_stock": "-15234000000", "inserted_at": "2026-07-29T12:34:56Z", "operating_cashflow": "118254000000", "proceeds_from_repurchase_of_equity": "-94949000000", "stock_based_compensation": "11688000000" } ] } ```